Entwurf KreisAnordnung

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft CircularArray and the translation is 19% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский

Official icon not found {{{Name/de}}}

Menüeintrag
Entwurf → Kreis Anordnung
Arbeitsbereich
Entwurf
Standardtastenkürzel
None
In der Version eingeführt
0.19
Siehe auch
Anordnung, PolarAnordnung, PfadAnordnung, Punkt Anordnung, Klonen


Beschreibung

Das Draft CircularArray.svg Entwurf KreisAnordnung erstellt eine Anordnung aus einem ausgewählten Objekt und platziert die Kopien entlang konzentrischer Umfänge. Dies entspricht der Verwendung des Draft PolarArray.svg Draft PolarArray mit einem Polarwinkel von 360 Grad und die Schaffung mehrerer solcher konzentrischen Anordnungen.

Dieses Werkzeug kann für 2D Formen verwendet werden, die mit dem Workbench Draft.svg Entwurf Arbeitsbereich erstellt wurden, kann aber auch für viele Arten von 3D Objekten verwendet werden, wie z.B. solche, die mit dem Workbench Part.svg Part Arbeitsbereich oder Workbench PartDesign.svg PartDesign Arbeitsbereich erstellt wurden.

Draft CircularArray example.png

A circular array of an object.


Usage

  1. Select the object from which you wish to array.
  2. Press the Draft CircularArray.svg Circular array button. If no object is selected, you will be invited to select one before proceeding.
  3. The task panel is launched where you can select the radial distance, the tangential distance, the number of circular layers, the symmetry parameter, and the center of the axis of rotation.
  4. You can click on the 3D view to simultaneously set the position of the center of rotation, and complete the command. Otherwise, just press Enter or the OK button to complete the operation.

Notes

  • By default, the axis of rotation is the positive Z axis (0, 0, 1). This can be changed in the property editor after the object is created.
  • Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.
  • This command creates the same parametric "Array" object as the one created with the Draft OrthoArray.svg OrthoArray and Draft PolarArray.svg PolarArray tools. Therefore, the array can be converted to orthogonal, polar, or circular by changing its DataArray Type property.

Options

These are the options displayed in the task panel.

  • Radial distance: the distance from the center of the array to the next circular layer, and between subsequent circular layers.
  • Tangential distance: the distance from one element in the array to the next element in the same circular layer. This distance determines how many elements will be in the array; if the number is small, there will be many tightly packed copies; if the number is large, there will only be a few copies. This distance cannot be zero.
  • Number of circular layers: the original object is considered one layer by itself. There must be minimum 2, maximum 99.
  • Symmetry: determines how the objects will be distributed in the array.
With symmetry 1 the first element needs to be rotated a full circle to reach the same position, with 2 a rotation of half a circle (180°) is sufficient, with 3 a one third rotation of a circle (120°) is enough. This means that the symmetry parameter determines a rotation of 360°/n. For large values of symmetry the number of objects in the circular layers decreases, that eventually no object will be placed in the inner circle at all. In most cases you want a number between 1 and 6.
  • Center of rotation: the coordinates through which the axis of rotation goes through.
  • Reset point: it resets the center of rotation to the origin (0, 0, 0).
  • Fuse: if it is checked, the resulting objects in the array will fuse together if they touch each other. This only works if Link array is unchecked.
  • Link array: if it is checked, the resulting array will be a "Link array". This array internally uses App Link objects, so it is more efficient when handling many copies of complex shapes. However, in this case, the objects cannot be fused together.
  • Press Esc or the Cancel button to abort the current command.

Note: if a Link array is created, this object cannot be converted to a regular array. And similarly, a regular array cannot be converted to a Link array. Therefore, you must choose the type of array that you want at creation time.

Properties

A CircularArray object internally is the same object produced with the Draft OrthoArray.svg OrthoArray tool. It is based on Part Feature (Part::Feature class), and thus shares all properties of the latter.

See the Draft OrthoArray.svg OrthoArray tool for the complete description of the properties. All properties apply, except for those under the Orthogonal array and Polar array groups.

  • For circular arrays, the DataCenter (VectorDistance) specifies an offset from the DataPlacement of the DataBase object. That is, to keep the circular array centered on the DataBase object, keep DataCenter to the default value (0, 0, 0).

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Array tool can be used in macros and from the Python console by using the following function.

array = make_circular_array(base_object,
                            r_distance=100, tan_distance=50,
                            number=3, symmetry=1,
                            axis=App.Vector(0, 0, 1), center=App.Vector(0, 0, 0),
                            use_link=True):
  • Creates an "Array" object from the base_objectj.
    • The values of r_distance and tan_distance correspond to the radial and tangential distances of the elements in the array.
    • The value of number is the number of circular layers in the circular pattern; the original object counts as the first layer.
    • The value of symmetry is an integer that participates in some calculations that affect the way the copies are distributed around the circumferences. Usual values are from 1 to 6; higher values are not recommended and will make the copies in the inner layers to disappear.
    • The values of axis and center are vectors that describe the direction of the axis of rotation, and a point through which that axis goes.
    • If use_link is true the created copies will be App Links and not regular copies.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

tri = Draft.make_polygon(3, 600)

array = Draft.make_circular_array(tri, 1800, 1200, 4, 1)
doc.recompute()